<!DOCTYPE html>
<html>
<head>
	<title>projekt git | úvod</title>
	<link rel="stylesheet" type="text/css" href="css/style.css">
</head>
<body>
	<nav>
		<ul id="menu">
			<li><a href="index.html" class="active" title="download">Úvod</a></li>
			<li><a href="prezentacia.odp" title="download">Prezentácia</a></li>
			<li><a href="#" id="openModalWorkLog" title="pozri log">About</a></li>
		</ul>		
	</nav>
	<header>
		<h1 class="headerReplacement">
			Moja jednoduchá stránka
		</h1> <!-- technika header replacement umoznuje zamenit text za obrazok, ale ponechat ho pre vyhladavace -->
	</header>
	<main>
		<section id="about">
			Učíme sa pracovať s gitom<br>
			<small>alebo ‚rozdelíme sa do vetiev‘</small>
		</section>
	</main>

	<!-- The Modal -->
	<div id="modalWorkLog" class="modal">
		<!-- Modal content -->
		<div class="modal-content">
		  <div class="modal-header">
		    <span class="close">&times;</span>
		    <h2>Záznam o činnosti</h2>
		  </div>
		  <div class="modal-body">
			<h3>Vytvorenie repozitára(spomienky veterána ktorí tu bol pred nami)</h3>
		    <ol>
				<li>Vytvorili sme si vzdialený repozitár s názvom origin na gitlabe s názvom projekt_git (defaultne sa vetva volá master)</li>
				<li>Autorizovali sme origin aby sme tam mohli pushovat a všetko ostatné...</li>
				<li>Vytvorili sme si stránku u seba na lokále</li>
				<li>Z priečinka so stránkou sme urobili GIT repozitár (príkaz git init) a nastavili sme preňho adresu na ktorej je origin</li>
				<li>Pomocou git add. sme pridali všetky súbory z working directory do stage area</li>
				<li>Spravili sme commit čím sme dostali súbory do lokálneho repozitára</li>
				<li>Pomocou príkazu git push origin master sme pushli commit z vertvy master na origin(remote repository)</li>
			</ol>
			<h3>Vytvorenie novej vetvy(niekto s menom Tomáš začal vývoj novej featury na tom istom pc)</h3>
			  <ol>
				  <li>git checkout -b feature/tomas-work_log som si vytvoril svoju novú vetvu a premiestnil som sa do nej</li>
				  <li>Porobil som nejaké zmeny a niečo som pridal</li>
				  <li>Zmeny som pridal do stage area, comitol som, pushol som a vetva sa tak vytvorila aj na remote(kolegovia k nej majú prísstup a aj nadriadení :O)</li>
			  </ol>
			<h3>Použitie repozitára na inom pc(zápisky samého vojak v poli)</h3>
			<ol>
				<li>git clone ssh://... stiahol sme si repozitár. Aktuálne tam mám vetvu master v ktorej je len počiatočný commit a všetko ostatné je v Tomášovej vetve.</li>
				<li>Tomášova vetva ešte nieje na vetve master. Nakoľko chcem pracovať s aktuálnymi súbormi tak ich potrebujeme dostať k sebe</li>
				<li>Buď si vytvorím novú vetvu z jeho vetvy(a jeho obsah tam budeme mať) alebo si dorovnám zmeny s jeho vetvou. Vybral som si druhú možnosť tj. namergujem si Tomášovu vetvu.</li>
			</ol>
			<h3>Merguješ, mergujem, mergujeme...</h3>
			  <ol>
				  <li></li>
			  </ol>
		  </div>
		</div>
	</div>

	<script src="js/script.js"></script>
</body>
</html>